using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace customer_interfaces
{
    public partial class FrmTestTickets : Form
    {
        private FrmBoca m_parent;
        
        public FrmTestTickets(FrmBoca frm1)
        {
            InitializeComponent();
            m_parent = frm1;
        }

        private void CmdCancel_Click(object sender, EventArgs e)
        {
            FrmTestTickets.ActiveForm.Close();
        }


        private void FrmTestTickets_Load(object sender, EventArgs e)
        {
            //determine whether FGL or PCL test tickets will be printed
            if (FrmBoca.formnum == FrmBoca.FGL)
            {
                Text = "FGL Test Tickets";
                option1.Text = "Standard - FGL";
                option2.Text = "Standard - No Line";
                option3.Text = "Standard - New Line";
                option4.Text = "Standard - MagMini";
                option5.Text = "Configuration";
                option6.Text = "PCX Graphics";
                option7.Text = "BMP Graphics";
                option8.Text = "Other";
                option9.Text = "";
                option10.Text = "";
            }
            else       //PCL
            {
                Text = "PCL Test Tickets";
                option1.Text = "HP Standard";
                option2.Text = "HP MagMini";
                option3.Text = "HP Configuration";
                option4.Text = "Other";
                option5.Text = "";
                option6.Text = "";
                option7.Text = "";
                option8.Text = "";
                option9.Text = "";
                option10.Text = "";
            }
        }
        private void CmdOk_Click(object sender, EventArgs e)
        {
            int count = Convert.ToInt32(number_of_tickets.Text);

            //determine whether FGL or PCL test tickets will be printed
            if (FrmBoca.formnum == FrmBoca.FGL)
            {
                //Determine which option is set to know which test ticket to print
                if (option1.Checked == true)
                    standard(count);
                else
                    if (option2.Checked == true)
                        standard_noline(count);
                    else
                        if (option3.Checked == true)
                            standard_newline(count);
                        else
                            if (option4.Checked == true)
                                standard_magmini(count);
                            else
                                if (option5.Checked == true)
                                    m_parent.config_test(count);
                                else
                                    if (option6.Checked == true)
                                        m_parent.select_file("pcx", count);
                                    else
                                        if (option7.Checked == true)
                                            m_parent.select_file("bmp",count);
                                        else
                                            if (option8.Checked == true)
                                                m_parent.select_file("*",count);
                                            else
                                                standard(count);
            }
            else
            {
                if (option1.Checked == true)
                    m_parent.download_file("hp_id.prn", "prn", count);
                else
                    if (option2.Checked == true)
                        m_parent.download_file("hpmag.prn", "prn", count);
                    else
                        if (option3.Checked == true)
                            m_parent.download_file("config_hp.txt", "txt", count);
                        else
                            if (option4.Checked == true)
                                m_parent.select_file("*", count);
                            else
                                m_parent.download_file("hp_id.prn", "prn", count);
            }
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

                 
        public void standard(int total_ticket_count)
        {
            int j;                          //local loop counter
            string ts1, ts2, ts3, ts4, ts5; //temp strings
            char fs = (char)28;             //file separator
            
            //Model standard test ticket            
            ts2 = "<RC52,862>PLACE LETTERS ANYWHERE<RC80,1170><F6><RR>VOID<RC15,1100><F3>TEST TICKET ONLY<RC8,1010><X2><NXL10>*GHOST 123*<RR><RC78,915>  CODE 39";
            ts3 = "<RU><RC320,740><BS17,30>TICKET & LABEL PRINTER<NR><F3><RC0,300>EXCELLENT PRINT QUALITY<NR><RC30,300> Print any bar code<RC70,300><X2><OL6>^CODE 128^<RC90,250><RR>CODE 128<RC96,340><X3><NXP10>*MONKEY*";
            ts4 = "<RC206,340><X2><NP6>*MONKEY*<F2><HW1,1><NR><F1><SP100,700><LO1><RC371,385><F2><NR>SW1= <VA4> SW2= <VA5> SW3= <VA6> <RC371,824>LEFT = 1  RIGHT = 0<RC385,150><F11>Script printing is now standard.";
            ts5 = "<RC430,150><F9>High density printing is clear and readable<RC450,150><F2>High density printing is clear and readable<RC470,150><F1>Legal size printing<RC0,100><LT4><VX1200><p>";

            //notify the user as to what is going on
            m_parent.Display_Text("The Standard FGL Test ticket is now being sent to the printer.");
            //m_parent.Display_Text("Number of copies = " + total_ticket_count);

            for (j = 1; j <= total_ticket_count; j++)
            {
                //put the current value of loop counter onto ticket as ticket counter
                ts1 = "<n><DA>" + fs + "<RL><RC320,20><F12>BOCA <F6><RC100,40>" + j.ToString() + "<NR><RC320,110><RL><F10><HW1,1><VA7><RC300,160><RL><HW1,1><RC370,710><RU>GHOSTWRITER<RC80,880><RR><F2>FRIENDLY GHOST LANGUAGE";
                //transmit five lines of text for each ticket
                m_parent.Transmit(ts1 + ts2 + ts3 + ts4 + ts5);
                
            }

        }       //end of standard
        
        private void standard_noline(int total_ticket_count)
        {
            int j;                          //local loop counter
            string ts1, ts2, ts3, ts4, ts5; //temp strings
            char fs = (char)28;             //file separator

            //Model standard noline test ticket            
            ts2 = "<RC52,862>PLACE LETTERS ANYWHERE<RC80,1170><F6><RR>VOID<RC15,1100><F3>TEST TICKET ONLY<RC8,1010><X2><NXL10>*GHOST 123*<RR><RC78,915>  CODE 39";
            ts3 = "<RU><RC320,740><BS17,30>TICKET & LABEL PRINTER<NR><F3><RC0,300>EXCELLENT PRINT QUALITY<NR><RC30,300> Print any bar code<RC70,300><X2><OL6>^CODE 128^<RC90,250><RR>CODE 128<RC96,340><X3><NXP10>*MONKEY*";
            ts4 = "<RC206,340><X2><NP6>*MONKEY*<F2><HW1,1><NR><F1><SP100,700><LO1><RC371,385><F2><NR>SW1= <VA4> SW2= <VA5> SW3= <VA6> <RC371,824>LEFT = 1  RIGHT = 0<RC385,150><F11>Script printing is now standard.";
            ts5 = "<RC430,150><F9>High density printing is clear and readable<RC450,150><F2>High density printing is clear and readable<RC470,150><F1>Legal size printing<RC0,100><LT4><VX1200><p>";
            ts1 = "<n><DA><RL><RC320,20><F12>BOCA<RC320,110><RL><F10><HW1,1><VA7><RC300,160><RL><HW1,1><RC370,710><RU>GHOSTWRITER<RC80,880><RR><F2>FRIENDLY GHOST LANGUAGE";

            //notify the user as to what is going on
            m_parent.Display_Text("The Standard No Line FGL Test ticket is now being sent to the printer.");
            //m_parent.Display_Text("Number of copies = " + total_ticket_count);

            for (j = 1; j <= total_ticket_count; j++)
            {
                //put the current value of loop counter onto ticket as ticket counter
                ts1 = ts1 + fs + "<RL><F6><RC100,40>" + j.ToString();
                //transmit five lines of text for each ticket
                m_parent.Transmit(ts1 + ts2 + ts3 + ts4 + ts5);
            }

        }

        private void standard_magmini(int total_ticket_count)
        {
            int j;                          //local loop counter
            string ts1, ts2, ts3, ts4;      //temp strings
            char eot = (char)4;             //End of Transmission

            //Model standard magnetic test ticket            
            ts2 = "<RC450,110><RL><F6><HW1,1>PROM=<RC520,720><RU>GHOSTWRITER<RC278,820><RR><F2>FRIENDLY GHOST LANGUAGE<RC282,802>PLACE LETTERS ANYWHERE<RC200,950><X3><NXL10>*MONKEY*<RR><RC268,855><F3>  CODE 39<RU><RC470,720><BS17,30>TICKET & LABEL PRINTER";
            ts3 = "<NR><F3><RC0,300>300 DPI PRINT QUALITY<RC210,340> Burst Count =<RC220,300><X2><OL6>^CODE 128^<RC260,250><RR>CODE 128<RC246,340><X3><NXP10>*MONKEY*<RC356,340><X2><NP6>*MONKEY*<F2><HW1,1><NR><F1><SP320,700><LO1>";
            ts4 = "<RC450,160><F6><RL><HW1,1>*TEST*<NR><F6><RC520,20>TICKET NO<p>";

            //notify the user as to what is going on
            m_parent.Display_Text("The Standard Magnetic FGL Test ticket is now being sent to the printer.");
            //m_parent.Display_Text("Number of copies = " + total_ticket_count);

            for (j = 1; j <= total_ticket_count; j++)
            {
                //put the current value of loop counter onto ticket as ticket counter
                ts1 = "<n><T1>BOCA SYSTEMS TRACK1  TICKET NO " + eot + "<T2>123456789012345678901234567890" + eot + "<T3>012345678901234567890123456789" + eot + "<WM><RL><RC450,20><HW1,1><F12>BOCA <F6><RC100,40>" + j.ToString();
                //transmit four lines of text for each ticket
                m_parent.Transmit(ts1 + ts2 + ts3 + ts4);
            }
        }

        private void standard_newline(int total_ticket_count)
        {
            int j;                                          //local loop counter
            string ts1, ts2, ts3, ts4, ts5, ts6, ts7, ts8;  //temp strings
            char fs = (char)28;                             //file separator

            //Model standard newline test ticket
            ts2 = "<RC52,862>PLACE LETTERS ANYWHERE<RC80,1170><F6><RR>VOID<RC15,1100><F3>TEST TICKET ONLY<RC8,1010><X2><NXL10>*GHOST 123*<RR><RC78,915>  CODE 39";
            ts3 = "<RU><RC320,740><BS17,30>TICKET & LABEL PRINTER<NR><F3><RC0,300>EXCELLENT PRINT QUALITY<NR><RC30,300> Print any bar code<RC70,300><X2><OL6>^CODE 128^<RC90,250><RR>CODE 128<RC96,340><X3><NXP10>*MONKEY*";
            ts4 = "<RC206,340><X2><NP6>*MONKEY*<F2><HW1,1><NR><F1><SP100,700><LO1><RC371,385><F2><NR>SW1= <VA4> SW2= <VA5> SW3= <VA6> <RC371,824>LEFT = 1  RIGHT = 0<RC385,150><F11>Script printing is now standard.";
            ts5 = "<RC430,150><F9>High density printing is clear and readable<RC450,150><F2>High density printing is clear and readable<RC470,150><F1>Legal size printing<RC0,100><LT4><VX1200><p>";
            ts6 = "<F3><RR><RC0,100>----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------";
            ts7 = "<RR><RC10,105>----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------";
            ts8 = "<RR><RC0,110>----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------<p>";

            //notify the user as to what is going on
            m_parent.Display_Text("The Standard New Line FGL Test ticket is now being sent to the printer.");
            //m_parent.Display_Text("Number of copies = " + total_ticket_count);
            for (j = 1; j <= total_ticket_count; j++)
            {
                //put the current value of loop counter onto ticket as ticket counter
                ts1 = "<n><DA>" + fs + "<RL><RC320,20><F12>BOCA <F6><RC100,40>" + j.ToString() + "<NR><RC320,110><RL><F10><HW1,1><VA7><RC300,160><RL><HW1,1><RC370,710><RU>GHOSTWRITER<RC80,880><RR><F2>FRIENDLY GHOST LANGUAGE";

                //transmit eight lines of text for each ticket
                m_parent.Transmit(ts1 + ts2 + ts3 + ts4 + ts5 + ts6 + ts7 + ts8);
            }

        }       //end of standard_newline


    }
}